Get webhook details
GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/webhooks/{webhook_id}
Get a specific webhook subscription by ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” webhook_id
required
Webhook Id
string format: uuid
Header Parameters
Section titled “Header Parameters ”Responses
Section titled “ Responses ”Successful Response
Examples
Webhook detail response
{ "id": "f2f07352-1259-4a10-9fe3-2234f0ebdf8a", "url": "https://erp.obs.ng/integrations/zutax/webhooks", "events": [ "invoice.submitted", "invoice.validated", "invoice.dispatched" ], "is_active": true, "secret_last4": "8t2", "last_delivery_at": "2026-02-11T12:20:18Z"}Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
422 response example
{ "detail": [ { "loc": [], "msg": "string", "type": "string" } ]}